Name:           maven-one-plugin
Version:        1.2
Release:        5%{?dist}
Summary:        Plugin provides some integration tasks with Maven 1.x

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-one-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-one-plugin-1.2/
# tar jcf maven-one-plugin-1.2.tar.bz2 maven-one-plugin-1.2/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-jpp-depmap.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant-nodeps
BuildRequires: maven2
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-model-converter
BuildRequires: jpackage-utils
Requires: ant-nodeps
Requires: maven2
Requires: maven-shared-model-converter
Requires: jpackage-utils
Requires: java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils 

Obsoletes: maven2-plugin-one <= 0:2.0.8
Provides: maven2-plugin-one = 1:%{version}-%{release}

%description
This plugin provides some integration tasks with Maven 1.x:
* Helps you to switch your project from Maven 1 to Maven 2 by 
converting your project.xml to a pom.xml
* Provides a packaging mechanism for Maven 1.x plugins, 
building them using Maven 2.0
* Provides a hook for installation that will copy built artifacts 
into a local or remote Maven 1.x repository, for concurrent development with 
Maven 1.x projects

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q #You may need to update this according to your Source0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Yong Yang <yyang@redhat.com> 1.2-4
- Update jpp-depmap for maven221

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> 1.2-3
- Fix comment, typo, and correct changelog version

* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> 1.2-2
- Format description
- Change permission of jpp-depmap.xml to 0644
- Fix obsoletes and provides
- Remove maven.test.skip due to no tests
- Improve summary text
- use bz2 for source tar ball

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 1.2-1
- Initial package.
